package com.sckw.transport.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.transport.model.KwtLogisticsOrderSubcontract;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface KwtLogisticsOrderSubcontractMapper extends BaseMapper<KwtLogisticsOrderSubcontract> {
    int deleteByPrimaryKey(Long id);

    @Override
    int insert(KwtLogisticsOrderSubcontract record);

    int insertSelective(KwtLogisticsOrderSubcontract record);

    KwtLogisticsOrderSubcontract selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwtLogisticsOrderSubcontract record);

    int updateByPrimaryKey(KwtLogisticsOrderSubcontract record);
}